Subject: Re: Off-topic: @
From: Alan Barrett <[email-masked]>
To: ietf-822 <[email-masked]>
Date: Tue, 11 Oct 2005 14:01:48 +0200
List-Id: <ietf-822.imc.org>

On Tue, 11 Oct 2005, Bruce Lilly wrote:
> Worse than that. The original (see RFC 561) was <SP> AT <SP> only, and
> space was subsequently permitted within words (RFC 724 et seq until RFC
> 2822 eliminated it) or even within atoms (RFC 733 et seq ...),

I heve never before encountered the idea that space was ever permitted
inside words or atoms.  Could you cite the parts of the specs that you
think permit this?  (There might be bugs in the BNF, and it is possible
that such bugs might be used to support an argument about spaces in
words, but the text of the RFCs seems clear enough that spaces are
permitted in "reasonable places" such as between words or atoms.)

--apb (Alan Barrett)

From: Bruce Lilly <[email-masked]>
Reply-To: ietf-822 <[email-masked]>
Organization: Bruce Lilly
To: ietf-822 <[email-masked]>, [email-masked]
Subject: Re: Off-topic: @
Date: Tue, 11 Oct 2005 05:54:36 -0400
Sender: [email-masked]

On Thu October 6 2005 15:33, Dave Crocker wrote:
> 
> Paul Hoffman wrote:
> > It probably seemed so simple when we started using it...
> Since the original form was both "@" and " at " it wasn't all that 
> simple, even then.  Having to parse several characters ahead, for 
> detecting the mailbox/host separator, was a royal pain in those days.  
> Not at all clean.

Worse than that. The original (see RFC 561) was <SP> AT <SP> only, and
space was subsequently permitted within words (RFC 724 et seq until RFC
2822 eliminated it) or even within atoms (RFC 733 et seq ...), so
 at at at at at at at at
could be
 at@atatatatatat
or
 atat@atatatatat
or
 atatat@atatatat
...
or
 at@atat@atatat
or
 at@atatat@atat
...
(RFC 733 routing, syntax subsequently changed by RFC 822)

The original " at " coupled with subsequent introduction of space
within words and of routing led to unresolvable parsing ambiguities -- no
amount of lookahead would help.  Good riddance to " at ".  The commercial
at symbol was introduced in either RFC 680 or 724, and " at " and @ were
considered equivalent (modulo the unresolvable ambiguities noted above)
until RFC 822 eliminated " at ".

And with the DNS and ISO country code TLDs, the situation could have
become worse (at is the ISO country code domain for Austria).

It wasn't until RFC 822, a dozen years after RFC 561, that the problems
with " at " were removed from the specification.  The original form
having been <user> <SP> AT <SP> <host>, the change to the commercial at
symbol WAS a simple and natural way to resolve the ambiguities that
cropped up (and remember, we're talking about the ARPANET days, so
there were none of the charset/language/naming issues to whine about).
DCrocker at Rand-Unix and DCrocker@Rand-Unix were spoken identically. 

Date: Fri, 7 Oct 2005 14:41:10 +1000
From: Laird Breyer <[email-masked]>
To: Frank Ellermann <[email-masked]>
Cc: [email-masked]
Subject: Re: Off-topic: @
Reply-To: [email-masked]
Mail-Followup-To: Frank Ellermann <[email-masked]>, [email-masked]
Sender: [email-masked]

Apologies for the second post right after the first, but it occurred
to me that Klammer-affe might be a bastardization of "Affix Klammer",
ie a (paper)clip (Klammer means clip) used for an attachment (Affix in
German).

So the etymology might be Affix Klammer -> Affenklammer -> Klammeraffe. 
As I said in the other post, a paperclip looks like an elongated @ sign.

Cheers,
-- 
Laird Breyer.

Date: Fri, 7 Oct 2005 14:27:47 +1000
From: Laird Breyer <[email-masked]>
To: Frank Ellermann <[email-masked]>
Cc: [email-masked]
Subject: Re: Off-topic: @
Reply-To: [email-masked]
Mail-Followup-To: Frank Ellermann <[email-masked]>, [email-masked]
Sender: [email-masked]

On Oct 07 2005, Frank Ellermann wrote:
> 
> Paul Hoffman wrote:
>  
> > <http://herodios.com/atsign.html>
> 
> Nice.  I'm not sure about the explanation for the German word
> "Klammeraffe" (hanging monkey), so far I thought that it's a
> pun:  "@" looks a bit like a narrow "(a)", and that would be
> "Klammer-a(ffe)" or parenthesised a(pe)

Could it have something to do with "Papierklammer" (ie paperclip)?
The metal ones look like an elongated @ sign.

-- 
Laird Breyer.

To: [email-masked]
From: Frank Ellermann <[email-masked]>
Subject:  Re: Off-topic: @
Date:  Fri, 07 Oct 2005 02:52:27 +0200
Organization:  <URL:http://purl.net/xyzzy>
Lines: 11
Sender: [email-masked]

Paul Hoffman wrote:
 
> <http://herodios.com/atsign.html>

Nice.  I'm not sure about the explanation for the German word
"Klammeraffe" (hanging monkey), so far I thought that it's a
pun:  "@" looks a bit like a narrow "(a)", and that would be
"Klammer-a(ffe)" or parenthesised a(pe)

<http://dict.leo.org/?search=klammeraffe>  Bye, Frank

Date: Thu, 06 Oct 2005 12:33:14 -0700
From: Dave Crocker <[email-masked]>
Reply-To: [email-masked]
Organization: Brandenburg InternetWorking
To: [email-masked]
Subject: Re: Off-topic: @
Sender: [email-masked]

Paul Hoffman wrote:
> It probably seemed so simple when we started using it...
Since the original form was both "@" and " at " it wasn't all that 
simple, even then.  Having to parse several characters ahead, for 
detecting the mailbox/host separator, was a royal pain in those days.  
Not at all clean.

Of course, such cross-cultural problems are hardly restricted to netascii.

I can never remember they windows key sequence for generating the Euro 
symbol, and somehow E100 doesn't work all that well.

d/

Date: Thu, 6 Oct 2005 11:04:40 -0700
To: [email-masked]
From: Paul Hoffman <[email-masked]>
Subject: Off-topic: @
Sender: [email-masked]

It probably seemed so simple when we started using it...

<http://herodios.com/atsign.html>

--Paul Hoffman, Director
--Internet Mail Consortium